Loading...
Searching...
No Matches
RPM data types.
Data types:

The abstract RPM data types. More...

Collaboration diagram for RPM data types.:

## Files

file | rpmtypes.h

## Typedefs

typedef struct _FD_s * | FD_t
typedef enum rpmRC_e | rpmRC

## Enumerations

enum | rpmRC_e { RPMRC_OK = 0 , RPMRC_NOTFOUND = 1 , RPMRC_FAIL = 2 , RPMRC_NOTTRUSTED = 3 , RPMRC_NOKEY = 4 }
typedef struct headerToken_s * | Header
typedef struct headerIterator_s * | HeaderIterator
typedef uint32_t | rpm_tag_t
typedef uint32_t | rpm_tagtype_t
typedef uint32_t | rpm_count_t
typedef rpm_tag_t | rpmTagVal
typedef rpm_tag_t | rpmDbiTagVal
typedef void * | rpm_data_t
typedef const void * | rpm_constdata_t
typedef struct rpmtd_s * | rpmtd
typedef uint32_t | rpm_color_t
typedef uint32_t | rpm_flag_t
typedef uint32_t | rpm_tid_t
typedef uint32_t | rpmFlags
typedef uint32_t | rpm_off_t
typedef uint64_t | rpm_loff_t
typedef uint32_t | rpm_time_t
typedef uint16_t | rpm_mode_t
typedef uint16_t | rpm_rdev_t
typedef uint32_t | rpm_dev_t
typedef uint32_t | rpm_ino_t
typedef struct rpmts_s * | rpmts
typedef struct rpmte_s * | rpmte
typedef struct rpmds_s * | rpmds
typedef struct rpmfi_s * | rpmfi
typedef struct rpmfiles_s * | rpmfiles
typedef struct rpmdb_s * | rpmdb
typedef struct rpmdbMatchIterator_s * | rpmdbMatchIterator
typedef struct rpmtsi_s * | rpmtsi
typedef struct rpmps_s * | rpmps
typedef struct rpmtxn_s * | rpmtxn
typedef struct rpmver_s * | rpmver
typedef struct rpmdbIndexIterator_s * | rpmdbIndexIterator
typedef const void * | fnpyKey
typedef void * | rpmCallbackData

## Detailed Description

The abstract RPM data types.

## Typedef Documentation

## FD_t

typedef struct _FD_s* FD_t

RPM IO file descriptor type

## Header

typedef struct headerToken_s* Header

RPM header and data retrieval types.

## rpm_off_t

typedef uint32_t rpm_off_t

In-header hardcoded sizes for various POSIXy types

## rpmRC

typedef enum rpmRC_e rpmRC

Package read return codes.

## rpmts

typedef struct rpmts_s* rpmts

The main types involved in transaction manipulation

## Enumeration Type Documentation

## rpmRC_e

enum rpmRC_e

Package read return codes.

Enumerator
RPMRC_OK | Generic success code
RPMRC_NOTFOUND | Generic not found code.
RPMRC_FAIL | Generic failure code.
RPMRC_NOTTRUSTED | Signature is OK, but key is not trusted.
RPMRC_NOKEY | Public key is unavailable.